<TickerView>
	<ViewController>
		<View	Name		= "PrimaryTicker"
				Type		= "TickerView" >
				<Layout lf="PrimaryTicker.lyt" default="yes" />

			<TickerView Font="Large" Bold="F" />

			<StartAction>
				<Model Type="TickerModel" Name="Ticker1" />
				<SetTickerModel Name="Ticker1" />
				<SetQueries/>
				<SelectContent/>
				<Play/>
			</StartAction>

			<UIEventSubscription Name="SetCursor"/>

			<EditQuery Model="OTModel" Get="Tree" Type="Selected">
				<Transform lf="./template/default/IGOneTree.xsl"/>
			</EditQuery>

			<ViewActions>

				<ViewAction Name="SetQueries">
					<ModelCommand Name="Ticker1">
						<SetQueries>					
							<Query Model="OTModel" Get="Tree" Type="Filter">
								<Transform lf="./template/default/IGTicker1_Queries.xsl"/>
							</Query>
						</SetQueries>
					</ModelCommand>
				</ViewAction>

				<ViewAction Name="Edit">
					<EditTicker>
						<Query Model="OTModel" Get="Tree" Type="Selected">
							<Transform lf="./template/default/IGOneTree.xsl"/>
						</Query>
					</EditTicker>
				</ViewAction>

				<ViewAction Name="Pause">
					<GlyphCommand Glyph="PauseBtn">
						<HideGlyph />
					</GlyphCommand>
					<GlyphCommand Glyph="StartBtn">
						<ShowGlyph />
					</GlyphCommand>
					<RequisitionChanged/>
					<PauseTicker/>
				</ViewAction>

				<ViewAction Name="Play">
					<GlyphCommand Glyph="StartBtn">
						<HideGlyph />
					</GlyphCommand>
					<GlyphCommand Glyph="PauseBtn">
						<ShowGlyph />
					</GlyphCommand>
					<RequisitionChanged/>
					<PlayTicker/>
				</ViewAction>

				<ViewAction Name="ClickAction">
					<xsl:choose>
						<xsl:when expr="[[@TYPE] $eq$ VIDEO]">
							<g-ShowVideo URL="[@URL]" AlertID="@AlertID" Title="@TITLE" Provider="@PROVIDER"/>
						</xsl:when>
						<xsl:when expr="[[@TYPE] $eq$ bstk]">
							<g-ShowStock Type="@Symbol" />
						</xsl:when>
						<xsl:when expr="[[@TYPE] $eq$ ALERT]">
							<g-ShowAlert AlertID="@AlertID" Rule="@Rule" Type="@Type" RULEKEY="@RuleKey"/>
						</xsl:when>
						<xsl:when expr="[[@TYPE] $eq$ BROWSER_ALERT]">
							<Action Type="ShellExecute" File="@URL"/>
							<Action Type="ModelCommand" Name="OTModel">
								<MarkRead AlertId="@AlertId" Rule="@rule"/>
							</Action>
						</xsl:when>
						<xsl:when expr="[[@TYPE] $eq$ bwtr]">
							<g-ShowWeatherDetails Name="@Name" Title="@TITLE" />
						</xsl:when>
						<xsl:when expr="[[@TYPE] $eq$ mail]">
							<OpenMail/>
						</xsl:when>
						<xsl:when expr="[[@TYPE] $eq$ SCORES]">
							<DbgMsg Msg="scores clicked" />
						</xsl:when>
						<xsl:when expr="[[@URL]x $ne$ x]">
							<g-ShowURL URL="@URL" AlertID="@AlertID" Rule="@Rule" Title="@TITLE" />
							<Action Type="ModelCommand" Name="OTModel">
								<MarkRead AlertId="@AlertId" Rule="@rule"/>
							</Action>
						</xsl:when>
						<xsl:otherwise>
							<g-ShowDATOM AlertID="@AlertID" Rule="@Rule" View="View1" Type="@Type" RULEKEY="@RuleKey"/>
						</xsl:otherwise>
					</xsl:choose>
				</ViewAction>


			</ViewActions>

		</View>
	</ViewController>
</TickerView>
